--- /dev/null
+Dir
+{
+ ArchiveDir "/org/incoming.debian.org/buildd/";
+ OverrideDir "/org/ftp.debian.org/scripts/override/";
+ CacheDir "/org/ftp.debian.org/database/";
+};
+
+Default
+{
+ Packages::Compress ". gzip";
+ Sources::Compress ". gzip";
+ DeLinkLimit 0;
+ MaxContentsChange 12000;
+ FileMode 0664;
+}
+
+bindirectory "incoming"
+{
+ Packages "Packages";
+ Sources "Sources";
+ Contents " ";
+
+ FileList "/org/ftp.debian.org/database/dists/unstable_accepted.list";
+
+ BinOverride "override.sid.all3";
+ BinCacheDB "packages-accepted.db";
+ PathPrefix "";
+ Packages::Extensions ".deb .udeb";
+};
--- /dev/null
+#!/usr/bin/env python
+
+# Generate file list for unstable_accepted
+# Copyright (C) 2002 James Troup <james@nocrew.org>
+# $Id: cameron,v 1.1 2002-05-05 19:59:32 rmurray Exp $
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+################################################################################
+
+import pg, string, os, sys
+import apt_pkg
+import db_access, utils, claire, logging
+
+################################################################################
+
+projectB = None
+Cnf = None
+Logger = None;
+
+################################################################################
+
+def main():
+ global Cnf, projectB;
+
+ Cnf = utils.get_conf()
+
+ Arguments = [('h',"help","Cameron::Options::Help")];
+
+ apt_pkg.ParseCommandLine(Cnf,Arguments,sys.argv);
+
+ projectB = pg.connect(Cnf["DB::Name"], Cnf["DB::Host"], int(Cnf["DB::Port"]));
+ db_access.init(Cnf, projectB);
+ list = utils.open_file("%s/unstable_accepted.list" % (Cnf["Dir::ListsDir"]), "w")
+ q = projectB.query("SELECT filename FROM unstable_accepted WHERE in_accepted AND filename ~ '(u?deb|dsc)$'");
+ entries = q.getresult();
+ for entry in entries:
+ filename = os.path.dirname(entry[0])+'/incoming/'+os.path.basename(entry[0]);
+ list.write("%s\n" % (filename))
+ list.close()
+
+#########################################################################################
+
+if __name__ == '__main__':
+ main()
--- /dev/null
+#! /bin/sh
+#
+# Executed hourly via cron, out of katie's crontab.
+
+ARCHS="alpha hppa i386 ia64 mips mipsel powerpc sparc"
+
+set -e
+export SCRIPTVARS=/org/ftp.debian.org/katie/vars
+. $SCRIPTVARS
+
+if [ ! -e $ftpdir/Archive_Maintenance_In_Progress ]; then
+ cd $masterdir
+ cameron
+ apt-ftparchive -qq generate apt.conf.buildd
+ cd /org/incoming.debian.org/buildd
+ for a in $ARCHS; do
+ quinn-diff -a /org/buildd.debian.org/web/quinn-diff/Packages-arch-specific -A $a 2>/dev/null | grep -v ^non-free | wanna-build -b $a/build-db --merge-partial-quinn 2> /dev/null
+ wanna-build -A $a -b $a/build-db --merge-packages Packages 2>/dev/null
+ done
+fi